<?php namespace App\Http\Middleware;

use Closure;

class isAuthorized {

	/**
	 * Handle an incoming request.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  \Closure  $next
	 * @return mixed
	 */
	public function handle($request, Closure $next)
	{
		if(isset(getallheaders()['token']) && getallheaders()['token']=="1HHIaIsT4pvO2S39vMzlVfGWi3AhAz6F5xGBNKil") {
			return $next($request);
		}else{
				return response()->json(['status' => false,'error' => "Invalid request"], 503);
		}
	}

}
